# Poco

# template < class TArgs, class TMutex = FastMutex >

# class BasicEvent

Library: Foundation
Package: Events
Header: Poco/BasicEvent.h

## Description

A BasicEvent uses the DefaultStrategy which invokes delegates in the order they have been registered.

Please see the AbstractEvent class template documentation for more information.

## Inheritance

Direct Base Classes: AbstractEvent < TArgs, DefaultStrategy < TArgs, AbstractDelegate < TArgs >>, AbstractDelegate < TArgs >, TMutex >

All Base Classes: AbstractEvent < TArgs, DefaultStrategy < TArgs, AbstractDelegate < TArgs >>, AbstractDelegate < TArgs >, TMutex >

## Constructors

### BasicEvent

BasicEvent();

## Destructor

### ~BasicEvent

~BasicEvent();